Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl
Class VfsMVELWorkItemHandlerProducer

    java.lang.Object
      org.jbpm.kie.services.impl.VfsMVELWorkItemHandlerProducer

All Implemented Interfaces:
  WorkItemHandlerProducer

    public class VfsMVELWorkItemHandlerProducer

extends Object
implements WorkItemHandlerProducer

Constructor Summary
`VfsMVELWorkItemHandlerProducer()`

Method Summary
`Map<String,WorkItemHandler>` | `getWorkItemHandlers(String identifier, Map<String,Object> params)` Returns map of (key = work item name, value work item handler instance) of work items to be registered on KieSession Parameters that might be given are as follows: ksession taskService runtimeManager
`void` | `setFs(FileService fs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VfsMVELWorkItemHandlerProducer

    public VfsMVELWorkItemHandlerProducer()

Method Detail

### setFs

    public void setFs(FileService fs)

### getWorkItemHandlers

    public Map<String,WorkItemHandler> getWorkItemHandlers(String identifier,
                                                           Map<String,Object> params)

  Description copied from interface: `WorkItemHandlerProducer`
  Returns map of (key = work item name, value work item handler instance) of work items to be registered on KieSession
  Parameters that might be given are as follows:
  - ksession
  - taskService
  - runtimeManager

  Specified by:
    `getWorkItemHandlers` in interface `WorkItemHandlerProducer`
  Parameters:
    `identifier` - - identifier of the owner - usually RuntimeManager that allows the producer to filter out and provide valid instances for given owner
    `params` - - owner might provide some parameters, usually KieSession, TaskService, RuntimeManager instances
  Returns:
    map of work item handler instances (recommendation is to always return new instances when this method is invoked)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.